org.apache.poi.hssf.usermodel

## Class HSSFPolygon

- java.lang.Object
- - org.apache.poi.hssf.usermodel.HSSFShape
  - - org.apache.poi.hssf.usermodel.HSSFSimpleShape
    - - org.apache.poi.hssf.usermodel.HSSFPolygon

- All Implemented Interfaces:
    Shape, SimpleShape

      public class HSSFPolygon
      extends HSSFSimpleShape

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `OBJECT_TYPE_MICROSOFT_OFFICE_DRAWING`

    - ### Fields inherited from class org.apache.poi.hssf.usermodel.HSSFSimpleShape

      `OBJECT_TYPE_ARC, OBJECT_TYPE_COMBO_BOX, OBJECT_TYPE_COMMENT, OBJECT_TYPE_LINE, OBJECT_TYPE_OVAL, OBJECT_TYPE_PICTURE, OBJECT_TYPE_RECTANGLE, WRAP_BY_POINTS, WRAP_NONE, WRAP_SQUARE`

    - ### Fields inherited from class org.apache.poi.hssf.usermodel.HSSFShape

      `FILL__FILLCOLOR_DEFAULT, LINESTYLE__COLOR_DEFAULT, LINESTYLE_DASHDOTDOTSYS, LINESTYLE_DASHDOTGEL, LINESTYLE_DASHDOTSYS, LINESTYLE_DASHGEL, LINESTYLE_DASHSYS, LINESTYLE_DEFAULT, LINESTYLE_DOTGEL, LINESTYLE_DOTSYS, LINESTYLE_LONGDASHDOTDOTGEL, LINESTYLE_LONGDASHDOTGEL, LINESTYLE_LONGDASHGEL, LINESTYLE_NONE, LINESTYLE_SOLID, LINEWIDTH_DEFAULT, LINEWIDTH_ONE_PT, NO_FILL_DEFAULT, NO_FILLHITTEST_FALSE, NO_FILLHITTEST_TRUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HSSFPolygon(EscherContainerRecord spContainer, ObjRecord objRecord)`
    `HSSFPolygon(EscherContainerRecord spContainer, ObjRecord objRecord, TextObjectRecord _textObjectRecord)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `afterRemove(HSSFPatriarch patriarch)` remove escher container from the patriarch.escherAggregate remove obj, textObj and note records if it's necessary in case of ShapeGroup remove all contained shapes
    `protected ObjRecord` | `createObjRecord()` Creates the low level OBJ record for this shape.
    `protected EscherContainerRecord` | `createSpContainer()` Generates the shape records for this shape.
    `protected TextObjectRecord` | `createTextObjRecord()`
    `int` | `getDrawAreaHeight()`
    `int` | `getDrawAreaWidth()`
    `int[]` | `getXPoints()`
    `int[]` | `getYPoints()`
    `void` | `setPoints(int[] xPoints, int[] yPoints)`
    `void` | `setPolygonDrawArea(int width, int height)` Defines the width and height of the points in the polygon

    - ### Methods inherited from class org.apache.poi.hssf.usermodel.HSSFSimpleShape

      `cloneShape, getShapeId, getShapeType, getString, getTextObjectRecord, getWrapText, setShapeType, setString, setWrapText`

    - ### Methods inherited from class org.apache.poi.hssf.usermodel.HSSFShape

      `countOfAllChildren, getAnchor, getEscherContainer, getFillColor, getLineStyle, getLineStyleColor, getLineWidth, getObjRecord, getOptRecord, getParent, getPatriarch, getRotationDegree, getShapeName, isFlipHorizontal, isFlipVertical, isNoFill, setAnchor, setFillColor, setFillColor, setFlipHorizontal, setFlipVertical, setLineStyle, setLineStyleColor, setLineStyleColor, setLineWidth, setNoFill, setParent, setPatriarch, setPropertyValue, setRotationDegree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.ss.usermodel.Shape

      `getAnchor, getParent, getShapeName, isNoFill, setFillColor, setLineStyleColor, setNoFill`

- - ### Field Detail

    - #### OBJECT_TYPE_MICROSOFT_OFFICE_DRAWING

          public static final short OBJECT_TYPE_MICROSOFT_OFFICE_DRAWING

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HSSFPolygon

          public HSSFPolygon(EscherContainerRecord spContainer,
                             ObjRecord objRecord,
                             TextObjectRecord _textObjectRecord)

    - #### HSSFPolygon

          public HSSFPolygon(EscherContainerRecord spContainer,
                             ObjRecord objRecord)

  - ### Method Detail

    - #### createTextObjRecord

          protected TextObjectRecord createTextObjRecord()

      Overrides:
        `createTextObjRecord` in class `HSSFSimpleShape`

    - #### createSpContainer

          protected EscherContainerRecord createSpContainer()

      Generates the shape records for this shape.
      Overrides:
        `createSpContainer` in class `HSSFSimpleShape`

    - #### createObjRecord

          protected ObjRecord createObjRecord()

      Creates the low level OBJ record for this shape.
      Overrides:
        `createObjRecord` in class `HSSFSimpleShape`

    - #### afterRemove

          protected void afterRemove(HSSFPatriarch patriarch)

      Description copied from class: `HSSFShape`
      remove escher container from the patriarch.escherAggregate remove obj, textObj and note records if it's necessary in case of ShapeGroup remove all contained shapes
      Overrides:
        `afterRemove` in class `HSSFSimpleShape`

    - #### getXPoints

          public int[] getXPoints()

      Returns:
        array of x coordinates

    - #### getYPoints

          public int[] getYPoints()

      Returns:
        array of y coordinates

    - #### setPoints

          public void setPoints(int[] xPoints,
                                int[] yPoints)

      Parameters:
        `xPoints` - - array of x coordinates
        `yPoints` - - array of y coordinates

    - #### setPolygonDrawArea

          public void setPolygonDrawArea(int width,
                                         int height)

      Defines the width and height of the points in the polygon
      Parameters:
        `width` -
        `height` -

    - #### getDrawAreaWidth

          public int getDrawAreaWidth()

      Returns:
        shape width

    - #### getDrawAreaHeight

          public int getDrawAreaHeight()

      Returns:
        shape height

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.